summaryrefslogtreecommitdiffstats
path: root/Source/ThirdParty/brotli/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Source/ThirdParty/brotli/update.sh')
-rwxr-xr-xSource/ThirdParty/brotli/update.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/Source/ThirdParty/brotli/update.sh b/Source/ThirdParty/brotli/update.sh
new file mode 100755
index 000000000..752a47884
--- /dev/null
+++ b/Source/ThirdParty/brotli/update.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# Script to update the webkit in-tree copy of the Brotli decompressor.
+# Run this within the /Source/ThirdParty/brotli directory of the source tree.
+
+MY_TEMP_DIR=`mktemp -d -t brotli_update.XXXXXX` || exit 1
+
+git clone https://github.com/google/brotli ${MY_TEMP_DIR}/brotli
+
+COMMIT=`(cd ${MY_TEMP_DIR}/brotli && git log | head -n 1)`
+perl -p -i -e "s/\[commit [0-9a-f]{40}\]/[${COMMIT}]/" README.webkit;
+
+rm -rf dec
+mv ${MY_TEMP_DIR}/brotli/dec dec
+rm -rf ${MY_TEMP_DIR}
+
+echo "###"
+echo "### Updated brotli/dec to $COMMIT."
+echo "### Remember to verify and commit the changes to source control!"
+echo "###"